<%@ page contentType="text/html;charset=gbk" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.Collection" %>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.tool.SzDateHelp" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.online.*" %>
<%@ include file="/sessionInfo.jsp"%>
<% 
  String strLevel = "../../"; 
%> 
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=GBK">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
</head>
<%
    //获取提交的参数
    String sType = SzConvert.toZeroStr(request.getParameter("type"));
    String sPage = SzConvert.toZeroStr(request.getParameter("page"));
    String sSearch = SzConvert.strWriteData(request.getParameter("txtSearch"));
    String sPKEY = SzConvert.toZeroStr(request.getParameter("PKEY"));
    String sTable_type = "SZKC_CPFL";
%>
<%
    SzData szData = null;
    SzDataInfo szDataInfo = null;

    String sOPERATOR = request.getParameter("OPERATOR");
    String sKEY =  SzConvert.toZeroStr(request.getParameter("KEY"));
    String sReadonly = "";
    boolean bReadonly = false;
    if (sOPERATOR.equals("detail")) {
        sReadonly = "readonly";
        bReadonly = true;
    }
    //读取数据
    OlLeaveInfo olLeaveInfo = null;
    OlLeave olLeave = new OlLeave();
    if (!sKEY.equals("0")) {
        olLeaveInfo = (OlLeaveInfo)olLeave.getInfoByKey(Integer.parseInt(sKEY));
    }
    if (olLeaveInfo == null) {
        olLeaveInfo = new OlLeaveInfo();
        olLeaveInfo.setLKDLID(szLoginInfo_SESSION.getDLID());
    } else {
    }

%>

<body>
<!-----上面的工具栏------>
<form name="formUpdate" method="post">
  <input type="hidden" name="PKEY" value="<%=sPKEY%>">
  <input type="hidden" name="page" value="<%=sPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <input type="hidden" name="OPERATOR" value="<%=sOPERATOR%>">
  <input type="hidden" name="KEY" value="<%=sKEY%>">
  <input type="hidden" name="type" value="<%=sType%>">
  <input type="hidden" name="detailCount" value="0">
<%@ include file="title.jsp"%>
<table width="100%">
  <tr>
    <td>
    <% if (!bReadonly) { %>
      <%=SzPageHelp.saveButton()%>
    <% } %>
      <%=SzPageHelp.backButton()%>
    </td>
  </tr>
</table>

<!-----信息维护------>
<TABLE id=SZFORMtable1 style="CURSOR: hand" cellSpacing=0 borderColorDark=#ffffff cellPadding=3 width=650 borderColorLight=#c0c0c0 border=1>
<DIV id=divSZFORMtable1 style="BACKGROUND: #c0c0c0; CURSOR: hand; HEIGHT: 20px"><INPUT id=XX1 size=10 name=XX1></DIV>
<TBODY>
<TR id=SZFORMtr1>
<TD class=trMouseOut id=SZFORMtd1 style="CURSOR: hand">设置时间</TD>
<TD class=trMouseOut id=SZFORMtd2 style="CURSOR: hand"><INPUT class=txtClass1 id=XX2 size=10 name=XX2></TD></TR>
<TR id=SZFORMtr2>
<TD class=trMouseOut id=SZFORMtd3 style="CURSOR: hand">离开留言</TD>
<TD class=trMouseOut id=SZFORMtd4 style="CURSOR: hand"><TEXTAREA class=areaClass1 id=XX6 name=XX6></TEXTAREA></TD></TR>
<TR id=SZFORMtr3>
<TD class=trMouseOut id=SZFORMtd5 style="CURSOR: hand">自动回复标记</TD>
<TD class=trMouseOut id=SZFORMtd6 style="CURSOR: hand"><INPUT class=txtClass1 id=XX4 size=10 name=XX4></TD></TR>
<TR id=SZFORMtr4>
<TD class=trMouseOut id=SZFORMtd7 style="CURSOR: hand">设置人员</TD>
<TD class=trMouseOut id=SZFORMtd8 style="CURSOR: hand"><INPUT class=txtClass1 id=XX7 size=10 name=XX7></TD></TR></TBODY></TABLE>

</form>

<!-----这里包含要提交的内容--->
<form name="formHidden" method="post">
  <input type="hidden" name="page" value="<%=sPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <input type="hidden" name="type" value="<%=sType%>">
</form>
<script language="javascript" src="../../share/js/commonTool.js"></script>
<script language="javascript">
  //动态的隐藏
  var oDivSZFORMtable1 = document.getElementById("divSZFORMtable1");  
  if (oDivSZFORMtable1 != null) { 
    oDivSZFORMtable1.style.display="none"; 
  } 
  //动态的加入XX2的值
  var oXX1 = document.getElementById("XX1");  
  if (oXX1 != null) { 
    oXX1.value = "<%=olLeaveInfo.getLKID()%>"; 
  } 
  var oXX2 = document.getElementById("XX2");  
  if (oXX2 != null) { 
    oXX2.value = "<%=olLeaveInfo.getLKSJ()%>"; 
  } 
  var oXX4 = document.getElementById("XX4");  
  if (oXX4 != null) { 
    oXX4.value = "<%=olLeaveInfo.getLKLY()%>"; 
  } 
  var oXX6 = document.getElementById("XX6");  
  if (oXX6 != null) { 
    oXX6.value = "<%=olLeaveInfo.getLKHF()%>"; 
  } 
  var oXX7 = document.getElementById("XX7");  
  if (oXX7 != null) { 
    oXX7.value = "<%=olLeaveInfo.getLKDLID()%>"; 
  } 
  //判断是否有明细，如果有就动态增加   
</script>
<script language="javascript">

  function FormSave(formName, url) {
    //检查是否可以保存
    if (!notNum(formName.XX4, "自动回复标记")) {
      return false;
    }

    formName.action = url;
    formName.submit();
  }
</script>
</body>
